Name:           ukui-interface
Version:        1.0.3
Release:        4
Summary:        UKUI interface provides the interface for system configuration and related libraries.
License:        GPL-3+ and Apache-2.0
URL:            https://github.com/ukui/ukui-interface
Source0:        %{name}-%{version}.tar.gz

Patch0:         fix_log4qt_lib_path.patch
Patch1:         0001-Fix-the-error-caused-by-the-non-existence-of-the-lsb-release.patch

BuildRequires: glib2-devel autoconf automake libtool qt5-qtbase-devel gsettings-qt-devel qt5-qttools-devel iniparser

Provides: libukui-log4qt libukui-log4qt-devel

%description
ukui interface provides the interface for system configuration and related libraries.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
./autogen.sh
./configure --prefix=/usr --libdir=/usr/lib64

%{make_build}
cd %{_builddir}/%{name}-%{version}/src/log4qt
%{qmake_qt5}
%{make_build}

%install
%{make_install}  INSTALL_ROOT=%{buildroot}
mkdir -p %{buildroot}/usr/include/ukuisdk
mv %{buildroot}/usr/include/*.h %{buildroot}/usr/include/ukuisdk
cd %{_builddir}/%{name}-%{version}/src/log4qt
make INSTALL_ROOT=%{buildroot} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc debian/copyright debian/changelog
%{_bindir}/ukui-backgroundserver
%{_bindir}/ukui-desktopserver
%{_bindir}/ukui-fontserver
%{_bindir}/ukui-interfaceserver
%{_bindir}/ukui-keyboardserver
%{_bindir}/ukui-marcogeneralserver
%{_bindir}/ukui-mouseserver
%{_bindir}/ukui-powerserver
%{_bindir}/ukui-screensaverserver
%{_bindir}/ukui-sessionserver
%{_bindir}/ukui-touchpadserver
%{_bindir}/ukui-xkbgeneralserver
%{_includedir}/ukuisdk/kylin-*.h
%{_libdir}/libukui*
%{_datadir}/dbus-1/services/*.service
%{_includedir}/ukui-log4qt.h
%{_datadir}/glib-2.0/schemas/org.ukui.log4qt.gschema.xml


%changelog
* Fri Mar 29 2024 douyan <douyan@kylinos.cn> - 1.0.3-4
- update to upstream version 1.0.3-0k0

* Mon Mar 27 2023 peijiankang <peijiankang@kylinos.cn> - 1.0.3-3
- Fix the error caused by the non-existence of the lsb-release

* Wed Jan 18 2023 peijiankang <peijiankang@kylinos.cn> - 1.0.3-2
- add build debuginfo and debugsource

* Wed Nov 9 2022 douyan <douyan@kylinos.cn> - 1.0.3-1
- update to upstream version 1.0.3-1

* Sun May 29 2022 lijian <lijian2@kylinos.cn> - 1.0.2-5
- License compliance rectification

* Wed Mar 2 2022 douyan <douyan@kylinos.cn> - 1.0.2-4
- fix conflict lib file

* Fri Feb 25 2022 douyan <douyan@kylinos.cn> - 1.0.2-3
- add ukui-log4qt package

* Thu Feb 24 2022 douyan<douyan@kylinos.cn> - 1.0.2-2
- change head file location

* Thu Feb 17 2022 pei-jiankang <peijiankang@kylinos.cn> - 1.0.2-1
- Init package for openEuler
